.mermaid__graph {
  .label {
    font-family: $font-family-base;
    color: var(--base-color);
  }

  .label text {
    color: var(--base-color);
  }

  .node rect,
  .node circle,
  .node ellipse,
  .node polygon,
  .node path {
    fill: var(--base-background);
    stroke: var(--border-color);
    stroke-width: 1px;
    box-shadow: 0 0 1px 2px black;
  }

  .node .label {
    text-align: center;
  }

  .node.clickable {
    cursor: pointer;
  }

  .arrowheadPath {
    fill: var(--border-color);
  }

  .edgePath .path {
    stroke: var(--border-color);
    stroke-width: 1.5px;
  }

  .edgeLabel {
    background-color: var(--base-color);
    color: var(--base-inverse-color);
    text-align: center;
  }

  //.cluster rect {
  //  fill: $secondBkg;
  //  stroke: $clusterBorder;
  //  stroke-width: 1px;
  //}
  //
  //.cluster text {
  //  fill: $titleColor;
  //}

  //div.mermaidTooltip {
  //  position: absolute;
  //  text-align: center;
  //  max-width: 200px;
  //  padding: 2px;
  //  font-family: 'trebuchet ms', verdana, arial;
  //  font-family: var(--mermaid-font-family);
  //  font-size: 12px;
  //  background: $secondBkg;
  //  border: 1px solid $border2;
  //  border-radius: 2px;
  //  pointer-events: none;
  //  z-index: 100;
  //}

  // Custom classes
  .current {
    rect {
      stroke: var(--active-background)
    }
  }

  .add-node {
    font-weight: bold;

    &:hover {
      .label {
        transition: all ease 0.5s;
        color: var(--base-inverse-color);
      }

      rect,
      circle,
      ellipse,
      polygon,
      path {
        transition: all ease 0.5s;
        fill: var(--base-inverse-background);
        stroke: var(--border-color);
        stroke-width: 1px;
        box-shadow: 0 0 1px 2px black;
      }
    }
  }
}
